Subject: RE: internationalization

From: "Jim Whitehead" <[email-masked]>
Date: Wed, 6 Dec 2000 17:22:48 -0800

Accidentally caught by the spam filter.  See the very bottom for new
content.  I have added S. Matthew Hersey [[email-masked]] to the accept2
list, so future posts from this address will go through.

- Jim

-----Original Message-----
From: S. Matthew Hersey [mailto:[email-masked]]
Sent: Wednesday, December 06, 2000 1:16 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Moderator Action] RE: internationalization

----- Original Message -----
From: "Adam Klatzkin" <[email-masked]>
To: "'Stewart Hersey'" <[email-masked]>; "Wright, Tom"
<[email-masked]>; <[email-masked]>
Sent: Wednesday, December 06, 2000 9:59 AM
Subject: RE: internationalization

Tom,

If you open the URL as a web folder does it still work correctly for you?

Adam Klatzkin
Software Engineer
Bentley Systems

-----Original Message-----
From: Stewart Hersey [mailto:[email-masked]]
Sent: Tuesday, December 05, 2000 11:41 PM
To: Wright, Tom; [email-masked]
Subject: Re: internationalization

Tom (et al),

Works fine for me in  IE5.5 Japanese Version on the Windows ME (Japanese)
platform.
I'll try it on my Mac later today.

Cheers

Stewart

S. Matthew Hersey
President and CTO
Newma Net Works, Inc.
www.newma.com

----- Original Message -----
From: "Wright, Tom" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, December 05, 2000 11:55 PM
Subject: RE: internationalization

> Well guys, IE5 doesnt seem to like your site, returning do you want the
> default view instead message. It seems fine with HTML view, but not
WebDAV.
> Is this the behaviour every one else is seeing?
>
> Best Regards
>
> Tom
>
> -----Original Message-----
> From: Kevin Wiggen [mailto:[email-masked]]
> Sent: 06 December 2000 01:08
> To: Jim Whitehead; Adam Klatzkin; [email-masked]
> Cc: Greg Stein
> Subject: RE: internationalization
>
>
>
> Actually I agree that client support for internationalization is lacking,
> but server support has always been there :)
>
> Take a look at
>
> http://www.sharemation.com/~jane/international
>
> Hello World in English, Spanish, Russian, Chinese, Japanese and Korean
> (you'll need the fonts installed to see these correctly).
>
> As always, Xythos supports the Webdav protocol so you can also do
PROPFINDs
> to the server.
>
> Kevin
> Xythos
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Jim Whitehead
> Sent: Tuesday, December 05, 2000 3:54 PM
> To: Adam Klatzkin; [email-masked]
> Cc: Greg Stein
> Subject: RE: internationalization
>
>
> Hmm, this is worse than I had feared.  Based on your experience, it seems
> the best near-term approach is to stick with single-byte latin characters.
>
> Looking to the future, however, one of the ways you could help the
community
> is by hosting (or allowing me to host) a publically available DAV server
> that has a directory containing multiple character sets. Ideally, you
would
> have a Web site with a picture of what it is supposed to look like, and
then
> the area where DAV clients could be directed for testing.  One of the
> reasons why the current i18n support is so bad is due to the lack of a
> publically available server that is responding with multi-byte characters.
>
> Alternately, perhaps this is something that mod_dav can do, and perhaps
Greg
> Stein could provide a multi-byte character testing directory on
webdav.org.
> Greg?
>
> - Jim
>
> Adam Klatzkin writes:
> > Can anybody offer any advice on implementing an internationalized webDAV
> > server that will work with existing webDAV clients.
> > The server I am developing encodes all data in utf-8.  Whenever I return
> > this multistatus response to Microsoft web folders (under Win2K) if the
> > utf-8 stream contains all latin (single-byte) characters it works
> > fine.  If
> > there are characters in the stream that are multi-byte, web
> > folders crashes.
> > e.g.
> > <D:displayname>My Folder</D:displayname>
> > ^--- works fine
> > <D:displayName>["My Folder" in the Arabic unicode
> > subrange]</D:displayName>
> > ^--- web folders crashes and explorer goes down with it.
> >
> > Under WinNT webfolders does not crash, but I get the following error
> > "The current operation cannot be completed because an unexpected error
has
> > occurred"
> >
> > Using Riverfront WebDrive I do not receive any errors but the
> > UTF-8 data is
> > displayed as ASCII.
>

Adam & Tom,

Browsable but unable to save as Web Folder on Win2K Pro (English).

Error message screenshot attachment enclosed.

Stewart